Taxon (BioJava-1.5-beta API)
Keywords: org.biojava.bio.taxa.Taxon interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.taxa
Interface Taxon

All Superinterfaces:
  Annotatable, Changeable

All Known Implementing Classes:
  AbstractTaxon, SimpleTaxon, WeakTaxon

Deprecated. replaced by classes in `org.biojavax.bio.taxa`

    public interface Taxon

extends Annotatable

A taxon within a classification.

Taxa may be 'leaf' nodes specifying species, or 'internal' nodes specifying kingdoms and the like.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`static ChangeType` | `CHANGE_COMMON_NAME` Deprecated. Change type to indicate that the common name of this Taxon is changing.
`static ChangeType` | `CHANGE_SCIENTIFIC_NAME` Deprecated. Change type to indicate that the scientific name of this Taxon is changing.

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`boolean` | `equals(Object o)` Deprecated. Two taxa are equal if they have equivalent children, common and scientific names.
`Set` | `getChildren()` Deprecated. The children of this Taxon.
`String` | `getCommonName()` Deprecated. The common name of the Taxon.
`Taxon` | `getParent()` Deprecated. The parent of this Taxon.
`String` | `getScientificName()` Deprecated. The scientific name of this taxon.
`int` | `hashCode()` Deprecated. The hash-code of a Taxon is equal to the hash-code of it's scientific name.
`void` | `setCommonName(String commonName)` Deprecated. Set the new common name of this Taxon.
`void` | `setScientificName(String scientificName)` Deprecated. Change the scientific name of this species.

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### CHANGE_COMMON_NAME

    static final ChangeType CHANGE_COMMON_NAME

  Deprecated.
  Change type to indicate that the common name of this Taxon is changing.

### CHANGE_SCIENTIFIC_NAME

    static final ChangeType CHANGE_SCIENTIFIC_NAME

  Deprecated.
  Change type to indicate that the scientific name of this Taxon is changing.

Method Detail

### getCommonName

    String getCommonName()

  Deprecated.

  The common name of the Taxon.

  This is the normal name used in common speech, such as 'human'.

  Returns:
    a String representing this Taxon's common name

### setCommonName

    void setCommonName(String commonName)
                       throws ChangeVetoException

  Deprecated.

  Set the new common name of this Taxon.

  Parameters:
    `commonName` - the new common name
  Throws:
    `ChangeVetoException` - if the name can't be changed at this time

### getScientificName

    String getScientificName()

  Deprecated.

  The scientific name of this taxon.

  This will be the portion of the scientific classification pertaining to just this node within the classifictaion. It will be something like 'homo sapiens' or 'archaeal group 2', rather than the full classification list.

### setScientificName

    void setScientificName(String scientificName)
                           throws ChangeVetoException

  Deprecated.
  Change the scientific name of this species.

  Parameters:
    `scientificName` - the new scientific name
  Throws:
    `ChangeVetoException` - if the scientific name can't be changed at this time

### getParent

    Taxon getParent()

  Deprecated.

  The parent of this Taxon.

  Taxa live within a tree data-structure, so every taxon has a single parent except for the root type. This has the null parent.

  Returns:
    the parent Taxon, or null if this is the root type.

### getChildren

    Set getChildren()

  Deprecated.

  The children of this Taxon.

  Taxa live within a tree data-structure, so every taxon has zero or more children. In the case of zero children, the empty set is returned.

  ? read-only ? dynamicaly updated with taxon object ? copy of data ?

  Returns:
    the Set (possibly empty) of all child Taxa

### equals

    boolean equals(Object o)

  Deprecated.

  Two taxa are equal if they have equivalent children, common and scientific names.

  Two different implementations of Taxon should be able to appropriately trans-class equality. The parent of a Taxon is not considered in testing equality as this potentially leads to combinatorial problems checking whole taxa hierachies against one another.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - the object to check
  Returns:
    true if o is a Taxon instance and has the same properties as this

### hashCode

    int hashCode()

  Deprecated.
  The hash-code of a Taxon is equal to the hash-code of it's scientific name.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD